commit:     ce4ffddb46608f0119ec6cab1a6fb415ceab7410
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Tue Apr 13 13:12:37 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Apr 13 13:12:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ce4ffddb

dev-python/asynctest: bump python compat

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/asynctest/asynctest-0.13.0.ebuild | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/dev-python/asynctest/asynctest-0.13.0.ebuild 
b/dev-python/asynctest/asynctest-0.13.0.ebuild
index 063172c60..6210e149f 100644
--- a/dev-python/asynctest/asynctest-0.13.0.ebuild
+++ b/dev-python/asynctest/asynctest-0.13.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="7"
 
-PYTHON_COMPAT=( python3_7 pypy3 )
+PYTHON_COMPAT=( python3_{7,8,9} pypy3 )
 
 inherit distutils-r1
 
@@ -17,11 +17,9 @@ 
SRC_URI="https://github.com/Martiusweb/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g
 LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-DEPEND=""
 
 distutils_enable_sphinx doc
+distutils_enable_tests unittest
 
 src_prepare() {
        sed -i 's|def 
test_events_watched_outside_test_are_ignored|@unittest.skip("this fail")\n    
def test_events_watched_outside_test_are_ignored|' test/test_selector.py
@@ -29,5 +27,5 @@ src_prepare() {
 }
 
 python_test() {
-       "${EPYTHON}" -m unittest -v test || die "Testing failed"
+       "${EPYTHON}" -m unittest -v test || die "Testing failed with ${EPYTHON}"
 }

Reply via email to